Subject: Re: [net-next PATCH] dql: add a burst attribute

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 30 Sep 2014 23:46:42 +0200

On Tue, 30 Sep 2014 07:55:36 -0700
Eric Dumazet <[email-masked]> wrote:

> On Tue, 2014-09-30 at 16:31 +0200, Florian Westphal wrote:
> > Eric Dumazet <[email-masked]> wrote:
> > > If you feel not comfortable with "burst", rename it to whatever you
> > > think is best.
> > > But please, do not hard code magic 7 in your code.
> > 
> > I had hoped that this 'magic' value could be removed
> > completely, only using bql data for bulking decisions.
> 
> But it is apparently not the case, since you guys decided to had it set
> to 8, then to 7 later, based on experiments.

The "magic" limit is only a conservative save guard.  We do plan to
remove this completely.  That is the reason for not exporting this, as
we want free-hands to remove this completely.

Guess, I'll remove it completely now, so we can move on.

I would like some off/on switch, exported to userspace, for disabling
this bulking (then we don't need this conservative magic number).  How
would that be done best?

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Sr. Network Kernel Developer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer